Bug 1121610

Summary: [BuildCycle] python-cliff, python-stestr, python-stevedore
Product: [openSUSE] openSUSE Tumbleweed Reporter: Dominique Leuenberger <dimstar>
Component: OpenStackAssignee: Cloud Bugs <cloud-bugs>
Status: RESOLVED FIXED QA Contact: E-mail List <qa-bugs>
Severity: Normal    
Priority: P1 - Urgent CC: alarrosa, tchvatal
Version: Current   
Target Milestone: ---   
Hardware: Other   
OS: Other   
Whiteboard:
Found By: --- Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Dominique Leuenberger 2019-01-11 13:24:11 UTC
openSUSE:Factory lists a build cycle between the three packages 

  python-cliff, python-stestr and python-stevedore

When we bump python to version 3.7, this will be fatal, as both packages would turn out to be 'unresolvable'
  (Nothing provides python(abi) = 3.6 needed by <the other one>)


Additionally, this is also an issue when boot-strapping new projects (think SLE16)

(picking OpenStack as component, as at least one in the chain is maintainer by the OpenStack team, namely python-stevedore)
Comment 1 Antonio Larrosa 2019-01-20 16:56:35 UTC
Just to give a hand on this, I submitted this which I think should help:

https://build.opensuse.org/request/show/667179

Since python-stestr is only needed by python-stevedore in the %check section, I disabled it by default so it should fix the dependency cycle on Factory. Still anybody who wants to run the tests just has to use "--with test" or set it by default in an obs project (like Cloud:OpenStack:Factory, I guess) as specified in https://en.opensuse.org/openSUSE:Build_Service_prjconf#.25bcond
Comment 2 Dominique Leuenberger 2019-01-21 07:57:10 UTC
Raising to P1 - since this is now the only known thing left blocking python 3.7
Comment 3 Dirk Mueller 2019-01-22 09:33:16 UTC
created request id 667747
Comment 4 Swamp Workflow Management 2019-01-22 10:10:08 UTC
This is an autogenerated message for OBS integration:
This bug (1121610) was mentioned in
https://build.opensuse.org/request/show/667747 Factory / python-stevedore
Comment 7 Swamp Workflow Management 2020-09-04 19:34:00 UTC
SUSE-RU-2020:2549-1: An update that has three recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1121610,1174571,917818
CVE References: 
JIRA References: ECO-2130
Sources used:
SUSE Manager Tools 15 (src):    python-pyinotify-0.9.6-4.5.1
SUSE Linux Enterprise Module for Python2 15-SP2 (src):    python-decorator-4.4.2-7.3.13
SUSE Linux Enterprise Module for Public Cloud 15-SP2 (src):    python-Sphinx-1.7.6-3.10.6, python-alabaster-0.7.10-3.2.1, python-barbicanclient-4.10.0-5.3.5, python-cinderclient-7.0.0-8.4.5, python-cliff-3.1.0-7.4.6, python-cmd2-0.8.9-7.4.3, python-contextlib2-0.6.0-3.2.13, python-debtcollector-2.0.1-8.4.6, python-decorator-4.4.2-7.3.13, python-designateclient-4.0.0-5.3.5, python-glanceclient-3.1.1-8.3.5, python-heatclient-2.1.0-8.3.6, python-imagesize-0.7.1-3.2.1, python-ironicclient-4.1.0-5.3.6, python-keystoneauth1-4.0.0-9.3.6, python-keystoneclient-4.0.0-9.4.5, python-magnumclient-3.0.0-7.3.6, python-monascaclient-2.1.0-5.3.6, python-monotonic-1.5-7.3.13, python-neutronclient-7.1.1-7.3.6, python-novaclient-17.0.0-8.4.6, python-octaviaclient-2.0.1-5.3.6, python-openstacksdk-0.46.0-7.4.5, python-os-client-config-2.1.0-8.4.7, python-os-service-types-1.7.0-8.4.5, python-osc-lib-2.0.0-8.4.6, python-oslo.concurrency-4.0.2-8.4.6, python-oslo.config-8.0.2-8.4.5, python-oslo.context-2.20.0-4.6.1, python-oslo.i18n-4.0.1-8.4.5, python-oslo.log-4.1.1-8.4.5, python-oslo.serialization-3.1.1-8.4.5, python-oslo.utils-4.1.1-8.4.4, python-osprofiler-3.1.0-7.4.6, python-pyinotify-0.9.6-4.5.1, python-python-subunit-1.3.0-6.2.4, python-rfc3986-1.4.0-7.4.4, python-snowballstemmer-1.2.1-3.2.1, python-sphinx_rtd_theme-0.2.4-3.2.1, python-sphinxcontrib-1.0.1-4.2.1, python-sphinxcontrib-apidoc-0.3.0-5.3.3, python-sphinxcontrib-svg2pdfconverter-1.0.1-5.3.15, python-sphinxcontrib-websupport-1.0.1-4.2.1, python-statsd-3.3.0-5.3.13, python-stestr-2.6.0-8.4.10, python-stevedore-1.32.0-7.4.4, python-swiftclient-3.9.0-7.4.5, python-systemd-234-5.3.5, python-voluptuous-0.10.5-3.2.1, python-wcwidth-0.1.8-3.5.11
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP2 (src):    python-Sphinx-1.7.6-3.10.6, python-alabaster-0.7.10-3.2.1, python-imagesize-0.7.1-3.2.1, python-monotonic-1.5-7.3.13, python-rfc3986-1.4.0-7.4.4, python-snowballstemmer-1.2.1-3.2.1, python-sphinx_rtd_theme-0.2.4-3.2.1, python-sphinxcontrib-1.0.1-4.2.1, python-sphinxcontrib-websupport-1.0.1-4.2.1
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP1 (src):    python-Sphinx-1.7.6-3.10.6, python-alabaster-0.7.10-3.2.1, python-imagesize-0.7.1-3.2.1, python-snowballstemmer-1.2.1-3.2.1, python-sphinx_rtd_theme-0.2.4-3.2.1, python-sphinxcontrib-1.0.1-4.2.1, python-sphinxcontrib-websupport-1.0.1-4.2.1
SUSE Linux Enterprise Module for Development Tools 15-SP2 (src):    python-Sphinx-1.7.6-3.10.6, python-alabaster-0.7.10-3.2.1, python-imagesize-0.7.1-3.2.1, python-snowballstemmer-1.2.1-3.2.1, python-sphinx_rtd_theme-0.2.4-3.2.1, python-sphinxcontrib-1.0.1-4.2.1, python-sphinxcontrib-websupport-1.0.1-4.2.1
SUSE Linux Enterprise Module for Development Tools 15-SP1 (src):    python-Sphinx-1.7.6-3.10.6, python-alabaster-0.7.10-3.2.1, python-imagesize-0.7.1-3.2.1, python-snowballstemmer-1.2.1-3.2.1, python-sphinx_rtd_theme-0.2.4-3.2.1, python-sphinxcontrib-1.0.1-4.2.1, python-sphinxcontrib-websupport-1.0.1-4.2.1
SUSE Linux Enterprise Module for Basesystem 15-SP2 (src):    python-decorator-4.4.2-7.3.13, python-monotonic-1.5-7.3.13

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 8 Swamp Workflow Management 2020-09-08 10:14:22 UTC
openSUSE-RU-2020:1381-1: An update that has three recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1121610,1174571,917818
CVE References: 
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    python-Sphinx-1.7.6-lp152.5.3.1, python-Sphinx-doc-1.7.6-lp152.5.3.1, python-python-subunit-1.3.0-lp152.3.3.1, python-wcwidth-0.1.8-lp152.3.4.1
Comment 9 Swamp Workflow Management 2020-09-08 10:15:22 UTC
openSUSE-RU-2020:1380-1: An update that has three recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1121610,1174571,917818
CVE References: 
JIRA References: 
Sources used:
openSUSE Leap 15.1 (src):    python-Sphinx-1.7.6-lp151.2.9.1, python-Sphinx-doc-1.7.6-lp151.2.9.1, python-python-subunit-1.3.0-lp151.2.3.1, python-wcwidth-0.1.8-lp151.3.6.1